GET /v1/envelopes/:id
{
"id": "7e8f68e4c6df9395cd7ff48d69d7e2c1",
"name": "Non disclosure agreement",
"message": "Lorem ipsum dolor sit amet.",
"status": "sent",
"shared": false,
"created": "2019-12-17T05:30:00Z",
"sent": "2019-12-17T05:30:00Z",
"voided": null,
"declined": null,
"completed": null,
"master": "https://annature..",
"certificate": "https://annature..",
"combined": "https://annature..",
"account_id": "c64ce66b70b21c03bfd5dfa0ab14b730",
"group_id": "a5a885caee6286a54ad7bbd4ab5400e9",
"recipients": [{
"id": "255e591c2c9fe1bc99be1ec03075b402",
"name": "Ted Annature",
"email": "ted@annature.com.au",
"mobile": "+61422000000",
"type": "signer",
"status": "sent",
"message": null,
"password": false,
"muted": false,
"order": 1,
"declined_reason": null,
"created": "2019-12-17T05:30:00Z",
"sent": "2019-12-17T05:30:00Z",
"declined": null,
"completed": null,
"redirects": {
"session_completed": "https://..",
"session_declined": "https://.."
}
}],
"metadata": {}
}
Envelopes
Retrieve an envelope
GET /v1/envelopes/:id
{
"id": "7e8f68e4c6df9395cd7ff48d69d7e2c1",
"name": "Non disclosure agreement",
"message": "Lorem ipsum dolor sit amet.",
"status": "sent",
"shared": false,
"created": "2019-12-17T05:30:00Z",
"sent": "2019-12-17T05:30:00Z",
"voided": null,
"declined": null,
"completed": null,
"master": "https://annature..",
"certificate": "https://annature..",
"combined": "https://annature..",
"account_id": "c64ce66b70b21c03bfd5dfa0ab14b730",
"group_id": "a5a885caee6286a54ad7bbd4ab5400e9",
"recipients": [{
"id": "255e591c2c9fe1bc99be1ec03075b402",
"name": "Ted Annature",
"email": "ted@annature.com.au",
"mobile": "+61422000000",
"type": "signer",
"status": "sent",
"message": null,
"password": false,
"muted": false,
"order": 1,
"declined_reason": null,
"created": "2019-12-17T05:30:00Z",
"sent": "2019-12-17T05:30:00Z",
"declined": null,
"completed": null,
"redirects": {
"session_completed": "https://..",
"session_declined": "https://.."
}
}],
"metadata": {}
}
Retrieves the details of a specific envelope.
The list of recipients will be returned in the same order they were provided in the Create an envelope request.
Parameters
The unique identifier of the envelope.
Specifies how long the
master, certificate, and combined download links remain valid.Acceptable range: 1 to 10,080 minutes (7 days).Default is 60 minutes.GET /v1/envelopes/:id
{
"id": "7e8f68e4c6df9395cd7ff48d69d7e2c1",
"name": "Non disclosure agreement",
"message": "Lorem ipsum dolor sit amet.",
"status": "sent",
"shared": false,
"created": "2019-12-17T05:30:00Z",
"sent": "2019-12-17T05:30:00Z",
"voided": null,
"declined": null,
"completed": null,
"master": "https://annature..",
"certificate": "https://annature..",
"combined": "https://annature..",
"account_id": "c64ce66b70b21c03bfd5dfa0ab14b730",
"group_id": "a5a885caee6286a54ad7bbd4ab5400e9",
"recipients": [{
"id": "255e591c2c9fe1bc99be1ec03075b402",
"name": "Ted Annature",
"email": "ted@annature.com.au",
"mobile": "+61422000000",
"type": "signer",
"status": "sent",
"message": null,
"password": false,
"muted": false,
"order": 1,
"declined_reason": null,
"created": "2019-12-17T05:30:00Z",
"sent": "2019-12-17T05:30:00Z",
"declined": null,
"completed": null,
"redirects": {
"session_completed": "https://..",
"session_declined": "https://.."
}
}],
"metadata": {}
}
⌘I